Skip to main content
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
Gets transaction info
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manualReviewLink": "<string>",
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resultFiles": [
        {
          "fileId": "<string>",
          "fileName": "<string>"
        }
      ],
      "classification": {
        "isResultClassConfident": true,
        "resultClass": {
          "id": "<string>",
          "name": "<string>"
        },
        "classConfidences": [
          {
            "classId": "<string>",
            "className": "<string>",
            "confidence": 123
          }
        ]
      },
      "businessRulesErrors": [
        {
          "errorType": "<string>",
          "ruleId": "<string>",
          "currentFieldId": "<string>",
          "customMessage": "<string>"
        }
      ]
    }
  ],
  "error": "<string>",
  "sourceFiles": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
string<uuid>
required

Transaction identifier. You receive it in the response after the transaction has been successfully created.

Response

Transaction info is successfully returned

id
string<uuid>
required
status
enum<string>
required
Available options:
New,
Processing,
Processed,
Failed,
Canceled
documents
object[] | null
error
string | null
sourceFiles
object[] | null